package ink.wgink.gateway;

import org.springframework.boot.SpringApplication;
import org.springframework.boot.autoconfigure.SpringBootApplication;
import org.springframework.boot.context.properties.EnableConfigurationProperties;
import org.springframework.cloud.gateway.route.RouteLocator;
import org.springframework.cloud.gateway.route.builder.RouteLocatorBuilder;
import org.springframework.context.annotation.Bean;

@EnableConfigurationProperties
@SpringBootApplication
public class WgGatewayApplication {

    public static void main(String[] args) {
        SpringApplication.run(WgGatewayApplication.class, args);
    }

    @Bean
    public RouteLocator routes(RouteLocatorBuilder builder) {
        RouteLocator routeLocator = builder.routes()
                .route(r -> r
                        .path("/study")
                        .filters(f -> f.addRequestHeader("name", "张三").addRequestParameter("test", "gogo"))
                        .uri("http://127.0.0.1:7008/study"))
                .build();
        routeLocator.getRoutes().toStream().forEach(System.out::println);
        return routeLocator;
    }


}